Bug 1028027 - proactive buffering on an enhanced sort merge left outer join results in an assertionerror
proactive buffering on an enhanced sort merge left outer join results in an a...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 08:58 EST by Van Halbert
Modified: 2014-07-09 01:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users are finding that proactive buffering on an enhanced sort merge left outer join results in an AssertionError.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 15:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2707 Major Closed proactive buffering on an enhanced sort merge left outer join results in an assertionerror 2014-04-21 07:25:21 EDT

  None (edit)
Comment 1 JBoss JIRA Server 2013-11-07 09:14:12 EST
Steven Hawkins <shawkins@redhat.com> made a comment on jira TEIID-2707

Refined the previous commit to account for sources that do not block - otherwise the collection during prefetch could simply pull all batches.
Comment 2 belong 2013-12-09 19:52:06 EST
Assuming this will be set to VERIFIED before GA - setting requires_doc_text- accordingly.
Comment 3 wgibson 2014-02-11 08:55:58 EST
Unit tests:  TestJoinNode.java, TestBatchIterator.java, and TestBatchCollector.java
Comment 4 JBoss JIRA Server 2014-04-21 07:25:24 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2707 to Closed

Note You need to log in before you can comment on or make changes to this bug.